from django.utils.text import slugify
from django import forms

from .models import Bdp

class BdpForm(forms.ModelForm):
    class Meta:
        model = Bdp
        exclude = ('slug', 'users')

    def save(self, commit=True):
        if not self.instance.slug:
            self.instance.slug = slugify(self.instance.title)
        return super(BdpForm, self).save(commit=commit)


class BdpUpdateForm(BdpForm):
    class Meta:
        model = Bdp
        exclude = ('users',)
