from django.core.urlresolvers import reverse

from django.views.generic.edit import CreateView, UpdateView, DeleteView

from passerelle.base.views import ResourceView
from passerelle.sms.views import SendView

from .models import ChoositSMSGateway
from .forms import ChoositSMSGatewayForm


class ChoositDetailView(ResourceView):
    model = ChoositSMSGateway
    template_name = 'passerelle/manage/messages_service_view.html'


class ChoositCreateView(CreateView):
    model = ChoositSMSGateway
    template_name = 'passerelle/manage/service_form.html'
    form_class = ChoositSMSGatewayForm


class ChoositUpdateView(UpdateView):
    model = ChoositSMSGateway
    template_name = 'passerelle/manage/service_form.html'
    form_class = ChoositSMSGatewayForm


class ChoositDeleteView(DeleteView):
    model = ChoositSMSGateway
    template_name = 'passerelle/manage/service_confirm_delete.html'

    def get_success_url(self):
        return reverse('manage-home')


class ChoositSendView(SendView):
    model = ChoositSMSGateway
