from django.utils.text import slugify
from django import forms

from .models import ClicRdv

class ClicRdvForm(forms.ModelForm):
    class Meta:
        model = ClicRdv
        exclude = ('slug', 'users')

    def save(self, commit=True):
        if not self.instance.slug:
            self.instance.slug = slugify(self.instance.title)
        return super(ClicRdvForm, self).save(commit=commit)
