from django.views.decorators.csrf import csrf_exempt
from django.conf.urls import patterns, url
from django.contrib.auth.decorators import login_required
from views import *

urlpatterns = patterns('',
    url(r'^(?P<slug>[\w,-]+)/$', ClicRdvDetailView.as_view(), name='clicrdv-view'),

    url(r'^(?P<slug>[\w,-]+)/interventionsets/$',
        InterventionSetsView.as_view(), name='clicrdv-interventionsets'),
    url(r'^(?P<slug>[\w,-]+)/interventionsets/(?P<set_id>\d+)/$',
        InterventionsView.as_view(), name='clicrdv-interventions'),
    url(r'^(?P<slug>[\w,-]+)/interventions/(?P<intervention_id>\d+)/datetimes/$',
        DateTimesView.as_view(), name='clicrdv-datetimes'),
    url(r'^(?P<slug>[\w,-]+)/interventions/(?P<intervention_id>\d+)/dates/$',
        DatesView.as_view(), name='clicrdv-dates'),
    url(r'^(?P<slug>[\w,-]+)/interventions/(?P<intervention_id>\d+)/(?P<date>[\d-]+)/times$',
        TimesView.as_view(), name='clicrdv-times'),
    url(r'^(?P<slug>[\w,-]+)/interventions/(?P<intervention_id>\d+)/create$',
        csrf_exempt(CreateAppointmentView.as_view()), name='clicrdv-create-appointment'),
    url(r'^(?P<slug>[\w,-]+)/create$',
        csrf_exempt(CreateAppointmentView.as_view()), name='clicrdv-create-appointment-qs'),
    url(r'^(?P<slug>[\w,-]+)/(?P<appointment_id>\d+)/cancel$',
        CancelAppointmentView.as_view(), name='clicrdv-cancel-appointment'),
)


management_urlpatterns = patterns('',
    url(r'^add$', ClicRdvCreateView.as_view(), name='clicrdv-add'),
    url(r'^(?P<slug>[\w,-]+)/edit$', ClicRdvUpdateView.as_view(), name='clicrdv-edit'),
    url(r'^(?P<slug>[\w,-]+)/delete$', ClicRdvDeleteView.as_view(), name='clicrdv-delete'),
)
