from django.views.decorators.csrf import csrf_exempt
from django.conf.urls import patterns, url
from django.contrib.auth.decorators import login_required
from views import *

urlpatterns = patterns('',
    url(r'^(?P<slug>[\w,-]+)/$', GdcDetailView.as_view(), name='gdc-view'),

    url(r'^(?P<slug>[\w,-]+)/communes$', CommunesView.as_view(), name='gdc-communes'),
    url(r'^(?P<slug>[\w,-]+)/voies/(?P<insee>\d+)$', VoiesView.as_view(), name='gdc-voies'),
    url(r'^(?P<slug>[\w,-]+)/objets$', ObjetsView.as_view(), name='gdc-objets'),
    url(r'^(?P<slug>[\w,-]+)/post/demande$', csrf_exempt(PostDemandeView.as_view()), name='gdc-post'),
)

management_urlpatterns = patterns('',
    url(r'^add$', GdcCreateView.as_view(), name='gdc-add'),
    url(r'^(?P<slug>[\w,-]+)/edit$', GdcUpdateView.as_view(), name='gdc-edit'),
    url(r'^(?P<slug>[\w,-]+)/delete$', GdcDeleteView.as_view(), name='gdc-delete'),
)
