from django.utils.text import slugify
from django import forms

from .models import OxydSMSGateway

class OxydSMSGatewayForm(forms.ModelForm):
    class Meta:
        model = OxydSMSGateway
        exclude = ('slug', 'users')

    def save(self, commit=True):
        if not self.instance.slug:
            self.instance.slug = slugify(self.instance.title)
        return super(OxydSMSGatewayForm, self).save(commit=commit)
