from django.core.urlresolvers import reverse
from django.views.generic.edit import CreateView, UpdateView, DeleteView

from passerelle.base.views import ResourceView
from passerelle.sms.views import SendView

from .models import OxydSMSGateway
from .forms import OxydSMSGatewayForm


class OxydDetailView(ResourceView):
    model = OxydSMSGateway
    template_name = 'passerelle/manage/messages_service_view.html'


class OxydCreateView(CreateView):
    model = OxydSMSGateway
    template_name = 'passerelle/manage/service_form.html'
    form_class = OxydSMSGatewayForm


class OxydUpdateView(UpdateView):
    model = OxydSMSGateway
    template_name = 'passerelle/manage/service_form.html'
    form_class = OxydSMSGatewayForm


class OxydDeleteView(DeleteView):
    model = OxydSMSGateway
    template_name = 'passerelle/manage/service_confirm_delete.html'

    def get_success_url(self):
        return reverse('manage-home')


class OxydSendView(SendView):
    model = OxydSMSGateway
