# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'BaseDataSource'
        db.create_table(u'datasources_basedatasource', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=50)),
            ('description', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal(u'datasources', ['BaseDataSource'])

        # Adding model 'CsvDataSource'
        db.create_table(u'datasources_csvdatasource', (
            (u'basedatasource_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['datasources.BaseDataSource'], unique=True, primary_key=True)),
            ('csv_file', self.gf('django.db.models.fields.files.FileField')(max_length=100)),
            ('key_column', self.gf('django.db.models.fields.IntegerField')()),
            ('value_columns', self.gf('django.db.models.fields.CommaSeparatedIntegerField')(max_length=100)),
        ))
        db.send_create_signal(u'datasources', ['CsvDataSource'])


    def backwards(self, orm):
        # Deleting model 'BaseDataSource'
        db.delete_table(u'datasources_basedatasource')

        # Deleting model 'CsvDataSource'
        db.delete_table(u'datasources_csvdatasource')


    models = {
        u'datasources.basedatasource': {
            'Meta': {'object_name': 'BaseDataSource'},
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'datasources.csvdatasource': {
            'Meta': {'object_name': 'CsvDataSource', '_ormbases': [u'datasources.BaseDataSource']},
            u'basedatasource_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['datasources.BaseDataSource']", 'unique': 'True', 'primary_key': 'True'}),
            'csv_file': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            'key_column': ('django.db.models.fields.IntegerField', [], {}),
            'value_columns': ('django.db.models.fields.CommaSeparatedIntegerField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['datasources']