import json

from jsonresponse import to_json

from django.utils.decorators import method_decorator
from django.views.decorators.csrf import csrf_exempt
from django.views.generic.base import View
from django.views.generic.detail import SingleObjectMixin

from passerelle import utils

class SendView(View, SingleObjectMixin):
    @method_decorator(csrf_exempt)
    def dispatch(self, *args, **kwargs):
        return super(SendView, self).dispatch(*args, **kwargs)

    @to_json('api')
    @utils.protected_api('can_send_messages')
    def post(self, request, *args, **kwargs):
        data = json.loads(request.body)
        assert isinstance(data, dict), 'JSON payload is not a dict'
        assert 'message' in data, 'missing "message" in JSON payload'
        assert 'from' in data, 'missing "from" in JSON payload'
        assert 'to' in data, 'missing "to" in JSON payload'
        assert isinstance(data['message'], unicode), 'message is not a string'
        assert isinstance(data['from'], unicode), 'from is not a string'
        assert all(map(lambda x: isinstance(x, unicode), data['to'])), \
                'to is not a list of strings'
        return self.get_object().send(data['message'], data['from'], data['to'])
