# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Bdp'
        db.create_table(u'bdp_bdp', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=50)),
            ('description', self.gf('django.db.models.fields.TextField')()),
            ('service_url', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('username', self.gf('django.db.models.fields.CharField')(max_length=128, blank=True)),
            ('password', self.gf('django.db.models.fields.CharField')(max_length=128, blank=True)),
            ('verify_cert', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('keystore', self.gf('django.db.models.fields.files.FileField')(max_length=100, null=True, blank=True)),
        ))
        db.send_create_signal(u'bdp', ['Bdp'])

        # Adding M2M table for field users on 'Bdp'
        m2m_table_name = db.shorten_name(u'bdp_bdp_users')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('bdp', models.ForeignKey(orm[u'bdp.bdp'], null=False)),
            ('apiuser', models.ForeignKey(orm[u'base.apiuser'], null=False))
        ))
        db.create_unique(m2m_table_name, ['bdp_id', 'apiuser_id'])


    def backwards(self, orm):
        # Deleting model 'Bdp'
        db.delete_table(u'bdp_bdp')

        # Removing M2M table for field users on 'Bdp'
        db.delete_table(db.shorten_name(u'bdp_bdp_users'))


    models = {
        u'base.apiuser': {
            'Meta': {'object_name': 'ApiUser'},
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ipsource': ('django.db.models.fields.GenericIPAddressField', [], {'max_length': '39', 'null': 'True', 'blank': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '256', 'blank': 'True'}),
            'keytype': ('django.db.models.fields.CharField', [], {'max_length': '4', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'bdp.bdp': {
            'Meta': {'object_name': 'Bdp'},
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'keystore': ('django.db.models.fields.files.FileField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'}),
            'service_url': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'}),
            'users': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['base.ApiUser']", 'symmetrical': 'False', 'blank': 'True'}),
            'verify_cert': ('django.db.models.fields.BooleanField', [], {'default': 'True'})
        }
    }

    complete_apps = ['bdp']