from django.utils.text import slugify
from django import forms

from .models import ChoositSMSGateway

class ChoositSMSGatewayForm(forms.ModelForm):
    class Meta:
        model = ChoositSMSGateway
        exclude = ('slug', 'users')

    def save(self, commit=True):
        if not self.instance.slug:
            self.instance.slug = slugify(self.instance.title)
        return super(ChoositSMSGatewayForm, self).save(commit=commit)
