# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'ChoositSMSGateway'
        db.create_table('sms_choosit', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=50)),
            ('description', self.gf('django.db.models.fields.TextField')()),
            ('key', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('default_country_code', self.gf('django.db.models.fields.CharField')(default=u'33', max_length=3)),
        ))
        db.send_create_signal(u'choosit', ['ChoositSMSGateway'])

        # Adding M2M table for field users on 'ChoositSMSGateway'
        m2m_table_name = db.shorten_name('sms_choosit_users')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('choositsmsgateway', models.ForeignKey(orm[u'choosit.choositsmsgateway'], null=False)),
            ('apiuser', models.ForeignKey(orm[u'base.apiuser'], null=False))
        ))
        db.create_unique(m2m_table_name, ['choositsmsgateway_id', 'apiuser_id'])

        # Adding model 'ChoositRegisterNewsletter'
        db.create_table('newsletter_choosit', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=16)),
            ('description', self.gf('django.db.models.fields.CharField')(max_length=128, blank=True)),
        ))
        db.send_create_signal(u'choosit', ['ChoositRegisterNewsletter'])

        # Adding model 'ChoositRegisterGateway'
        db.create_table('registration_choosit', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=50)),
            ('description', self.gf('django.db.models.fields.TextField')()),
            ('url', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('key', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal(u'choosit', ['ChoositRegisterGateway'])

        # Adding M2M table for field users on 'ChoositRegisterGateway'
        m2m_table_name = db.shorten_name('registration_choosit_users')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('choositregistergateway', models.ForeignKey(orm[u'choosit.choositregistergateway'], null=False)),
            ('apiuser', models.ForeignKey(orm[u'base.apiuser'], null=False))
        ))
        db.create_unique(m2m_table_name, ['choositregistergateway_id', 'apiuser_id'])

        # Adding M2M table for field newsletters on 'ChoositRegisterGateway'
        m2m_table_name = db.shorten_name('registration_choosit_newsletters')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('choositregistergateway', models.ForeignKey(orm[u'choosit.choositregistergateway'], null=False)),
            ('choositregisternewsletter', models.ForeignKey(orm[u'choosit.choositregisternewsletter'], null=False))
        ))
        db.create_unique(m2m_table_name, ['choositregistergateway_id', 'choositregisternewsletter_id'])


    def backwards(self, orm):
        # Deleting model 'ChoositSMSGateway'
        db.delete_table('sms_choosit')

        # Removing M2M table for field users on 'ChoositSMSGateway'
        db.delete_table(db.shorten_name('sms_choosit_users'))

        # Deleting model 'ChoositRegisterNewsletter'
        db.delete_table('newsletter_choosit')

        # Deleting model 'ChoositRegisterGateway'
        db.delete_table('registration_choosit')

        # Removing M2M table for field users on 'ChoositRegisterGateway'
        db.delete_table(db.shorten_name('registration_choosit_users'))

        # Removing M2M table for field newsletters on 'ChoositRegisterGateway'
        db.delete_table(db.shorten_name('registration_choosit_newsletters'))


    models = {
        u'base.apiuser': {
            'Meta': {'object_name': 'ApiUser'},
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ipsource': ('django.db.models.fields.GenericIPAddressField', [], {'max_length': '39', 'null': 'True', 'blank': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '256', 'blank': 'True'}),
            'keytype': ('django.db.models.fields.CharField', [], {'max_length': '4', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'choosit.choositregistergateway': {
            'Meta': {'object_name': 'ChoositRegisterGateway', 'db_table': "'registration_choosit'"},
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'newsletters': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['choosit.ChoositRegisterNewsletter']", 'symmetrical': 'False', 'blank': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'users': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['base.ApiUser']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'choosit.choositregisternewsletter': {
            'Meta': {'object_name': 'ChoositRegisterNewsletter', 'db_table': "'newsletter_choosit'"},
            'description': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '16'})
        },
        u'choosit.choositsmsgateway': {
            'Meta': {'object_name': 'ChoositSMSGateway', 'db_table': "'sms_choosit'"},
            'default_country_code': ('django.db.models.fields.CharField', [], {'default': "u'33'", 'max_length': '3'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'users': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['base.ApiUser']", 'symmetrical': 'False', 'blank': 'True'})
        }
    }

    complete_apps = ['choosit']