from django.utils.text import slugify
from django import forms

from .models import Concerto

class ConcertoForm(forms.ModelForm):
    class Meta:
        model = Concerto
        exclude = ('slug', 'users')

    def save(self, commit=True):
        if not self.instance.slug:
            self.instance.slug = slugify(self.instance.title)
        return super(ConcertoForm, self).save(commit=commit)
