from django.core.urlresolvers import reverse
from django.db import models
from django.utils.translation import ugettext_lazy as _

from passerelle.base.models import BaseResource


class Gdc(BaseResource):
    service_url = models.CharField(max_length=128, blank=False,
            verbose_name=_('Service URL'),
            help_text=_('GDC Web Service URL'))

    category = _('Business Process Connectors')

    class Meta:
        verbose_name = _('GDC Web Service')

    def get_absolute_url(self):
        return reverse('gdc-view', kwargs={'slug': self.slug})

    @classmethod
    def get_add_url(cls):
        return reverse('gdc-add')

    @classmethod
    def get_verbose_name(cls):
        return cls._meta.verbose_name

    @classmethod
    def get_icon_class(cls):
        return 'ressources'
