from django.core.urlresolvers import reverse
from django.views.generic.edit import CreateView, UpdateView, DeleteView

from passerelle.base.views import ResourceView
from passerelle.sms.views import SendView

from .models import MobytSMSGateway
from .forms import MobytSMSGatewayForm


class MobytDetailView(ResourceView):
    model = MobytSMSGateway
    template_name = 'passerelle/manage/messages_service_view.html'


class MobytCreateView(CreateView):
    model = MobytSMSGateway
    template_name = 'passerelle/manage/service_form.html'
    form_class = MobytSMSGatewayForm


class MobytUpdateView(UpdateView):
    model = MobytSMSGateway
    template_name = 'passerelle/manage/service_form.html'
    form_class = MobytSMSGatewayForm


class MobytDeleteView(DeleteView):
    model = MobytSMSGateway
    template_name = 'passerelle/manage/service_confirm_delete.html'

    def get_success_url(self):
        return reverse('manage-home')


class MobytSendView(SendView):
    model = MobytSMSGateway
