from django.core.urlresolvers import reverse
from django.views.generic.edit import CreateView, UpdateView, DeleteView

from passerelle.base.views import ResourceView
from passerelle.sms.views import SendView

from .models import OVHSMSGateway
from .forms import OVHSMSGatewayForm


class OvhDetailView(ResourceView):
    model = OVHSMSGateway
    template_name = 'passerelle/manage/messages_service_view.html'


class OvhCreateView(CreateView):
    model = OVHSMSGateway
    template_name = 'passerelle/manage/service_form.html'
    form_class = OVHSMSGatewayForm


class OvhUpdateView(UpdateView):
    model = OVHSMSGateway
    template_name = 'passerelle/manage/service_form.html'
    form_class = OVHSMSGatewayForm


class OvhDeleteView(DeleteView):
    model = OVHSMSGateway
    template_name = 'passerelle/manage/service_confirm_delete.html'

    def get_success_url(self):
        return reverse('manage-home')


class OvhSendView(SendView):
    model = OVHSMSGateway
