BASE_URL = 'http://81.80.175.170/pfi/rest/pfi/'  # tests only

DEBUG_PATH = None

CONCILIATION_INDIVIDU = {
        'block': {
            'name': 'Individu',
            'pk': "PK/IndexIndividu/@V"
            },
        'criteria': {
            5: ({
                    'EtatCivil/Nom/@V': 'equal',
                    'EtatCivil/Prenom/@V': 'equal',
                    'EtatCivil/DateNaissance/@V': 'equal',
                },
                {
                    'EtatCivil/NomJeuneFille/@V': 'equal',
                    'EtatCivil/Prenom/@V': 'equal',
                    'EtatCivil/DateNaissance/@V': 'equal',
                },),
            4: ({
                    'EtatCivil/Nom/@V': 'equal',
                    'EtatCivil/DateNaissance/@V': 'equal',
                },
                {
                    'EtatCivil/NomJeuneFille/@V': 'equal',
                    'EtatCivil/DateNaissance/@V': 'equal',
                },
                {
                    'EtatCivil/Nom/@V': 'equal',
                    'EtatCivil/Prenom/@V': 'equal',
                },
                {
                    'EtatCivil/NomJeuneFille/@V': 'equal',
                    'EtatCivil/Prenom/@V': 'equal',
                },
                ),
            },
        'input': {
            'EtatCivil/Nom/@V': 'nom',
            'EtatCivil/Prenom/@V': 'prenom',
            'EtatCivil/DateNaissance/@V': 'dn',
            'EtatCivil/NomJeuneFille/@V': 'nom',
            },
        'output': [
            "Dossier/PK/IndexDossier/@V",
            "PK/IndexIndividu/@V",
            "EtatCivil/Nom/@V",
            "EtatCivil/NomJeuneFille/@V",
            "EtatCivil/Prenom/@V",
            "EtatCivil/DateNaissance/@V",
            "Dossier/Adresse/NumeroLieu/@V",
            "Dossier/Adresse/NatureLieu/@Lc",
            "Dossier/Adresse/NomLieu/@V",
            "Dossier/Adresse/ComplementLieu/@V",
            "Dossier/Adresse/CpLieu/@V",
            "Dossier/Adresse/Commune/NomCom/@V" 
            ]
        }

CONCILIATION_INDIVIDU_SANS_DN = {
        'block': {
            'name': 'Individu',
            'pk': "PK/IndexIndividu/@V"
            },
        'criteria': {
            5: ({
                    'EtatCivil/Nom/@V': 'equal',
                    'EtatCivil/Prenom/@V': 'equal',
                },{
                    'EtatCivil/NomJeuneFille/@V': 'equal',
                    'EtatCivil/Prenom/@V': 'equal',
                },),
            4: ({
                    'EtatCivil/Nom/@V': 'equal',
                    'EtatCivil/Prenom/@V': 'approx',
                },),
            3: ({
                    'EtatCivil/Nom/@V': 'approx',
                    'EtatCivil/Prenom/@V': 'equal',
                },),
            },
        'input': {
            'EtatCivil/Nom/@V': 'nom',
            'EtatCivil/Prenom/@V': 'prenom',
            'EtatCivil/NomJeuneFille/@V': 'nom',
            },
        'output': [
            "Dossier/PK/IndexDossier/@V",
            "PK/IndexIndividu/@V",
            "EtatCivil/Nom/@V",
            "EtatCivil/NomJeuneFille/@V",
            "EtatCivil/Prenom/@V",
            "EtatCivil/DateNaissance/@V",
            "Dossier/Adresse/NumeroLieu/@V",
            "Dossier/Adresse/NatureLieu/@Lc",
            "Dossier/Adresse/NomLieu/@V",
            "Dossier/Adresse/ComplementLieu/@V",
            "Dossier/Adresse/CpLieu/@V",
            "Dossier/Adresse/Commune/NomCom/@V" 
            ]
        }

CONCILIATION_ADRESSE = {
        'block': {
            'name': 'Adresse',
            'pk': "CodeLieu/@V"
            },
        'criteria': {
            5: ({
                    'NomLieu/@V': 'matches',
                    'Commune/PK/CodeDepartement/@V': 'equal',
                    'Commune/PK/CodeCommune/@V': 'equal',
                },),
            },
        'input': {
            'NomLieu/@V': 'lieu',
            'Commune/PK/CodeDepartement/@V': 'departement',
            'Commune/PK/CodeCommune/@V': 'commune',
            },
        'output': [
            "CodeLieu/@V",
            "NatureLieu/@Lc",
            "NomLieu/@V",
            "CodePostal/@V",
            "Commune/PK/CodeCommune/@V",
            "Commune/NomCom/@V",
            "CodeDepartement/@V",
            ]
        }

CONCILIATION_PARTICULIER = {
        'block': {
            'name': 'Particulier',
            'pk': "PK/IndexParticulier/@V"
            },
        'criteria': {
            5: ({
                    'EtatCivil/Nom/@V': 'equal',
                    'EtatCivil/Prenom/@V': 'equal',
                },{
                    'EtatCivil/NomJeuneFille/@V': 'equal',
                    'EtatCivil/Prenom/@V': 'equal',
                },),
            4: ({
                    'EtatCivil/Nom/@V': 'equal',
                    'EtatCivil/Prenom/@V': 'approx',
                },),
            3: ({
                    'EtatCivil/Nom/@V': 'approx',
                    'EtatCivil/Prenom/@V': 'equal',
                },),
            },
        'input': {
            'EtatCivil/Nom/@V': 'nom',
            'EtatCivil/Prenom/@V': 'prenom',
            'EtatCivil/NomJeuneFille/@V': 'nom',
            },
        'output': [
            "PK/IndexParticulier/@V",
            "EtatCivil/Nom/@V",
            "EtatCivil/NomJeuneFille/@V",
            "EtatCivil/Prenom/@V",
            "EtatCivil/DateNaissance/@V",
            "Adresse/NumeroLieu/@V",
            "Adresse/NatureLieu/@Lc",
            "Adresse/NomLieu/@V",
            "Adresse/ComplementLieu/@V",
            "Adresse/CpLieu/@V",
            "Adresse/Commune/NomCom/@V" 
            ]
        }

try:
    from local_config import *
except ImportError:
    pass

