## -*- coding: utf-8 -*-
<%

fields = data['fields']
wf = data['workflow']['data']

import datetime
date_completude = datetime.date.today().strftime('%Y-%m-%d')

# CALCUL de chaque valeur : prendre les variables supplementaires si
# elles sont presentes, puis nettoyer et normer le resultat


#
# STATUT DE LA DEMANDE
#

# si un numéro d'ancienne demande est présent dans le formulaire,
# alors il s'agit d'un renouvellement
# code "1" : première demande / code "2" : renouvellement
if 'numero' in fields:
    statut_demande = 2
else:
    statut_demande = 1


#
# DEMANDEUR
#

demandeur_profil = fields['profildemandeur'].strip().upper()
if 'PERSONNE' in demandeur_profil:
    demandeur_profil = 'PERSONNE'
elif 'PROCHE' in demandeur_profil:
    demandeur_profil = 'PROCHE'
elif 'ORGANISME' in demandeur_profil:
    demandeur_profil = 'ORGANISME'
else:
    demandeur_profil = 'BENEFICIAIRE'

if demandeur_profil in ('PERSONNE', 'PROCHE'):

    demandeur_id = None
    # FIXME rapprochement avec indexParticulier à ajouter dans le workflow !

    demandeur_nom = wf.get('supp1_var_nomdemandeur') or fields['nomdemandeur']
    demandeur_nom = demandeur_nom.strip().upper()

    demandeur_prenom = wf.get('supp1_var_prenomdemandeur') or fields['prenomdemandeur']
    demandeur_prenom = demandeur_prenom.strip().upper()

    demandeur_civilite = wf.get('supp1_var_civilitedemandeur') or fields['civilitedemandeur'] or ''
    demandeur_civilite = demandeur_civilite.strip().upper()
    if 'MONSIEUR' in demandeur_civilite:
        demandeur_sexe = 'H'
    else:
        demandeur_sexe = 'F'

    demandeur_tel = wf.get('supp1_var_teldemandeur') or fields['teldemandeur']
    demandeur_email = wf.get('supp1_var_courrieldemandeur') or fields['courrieldemandeur']

#
# BENEFICIAIRE
#

# beneficiaire_id : nouvelle personne ou déjà existante, selon le système de
# rapprochement dans le workflow
beneficiaire_id = None
if not wf.get('homonymie_var_homonyme_new_user'):
    beneficiaire_id = wf.get('homonymie_var_homonyme_force_id')
    if not beneficiaire_id:
        beneficiaire_id = wf.get('homonymie_var_homonyme_id_raw')

beneficiaire_civilite = wf.get('supp3_var_civilitebeneficiaire') or fields['civilitebeneficiaire']
beneficiaire_civilite = beneficiaire_civilite.strip().upper()
if 'MONSIEUR' in beneficiaire_civilite:
    beneficiaire_sexe = 'H'
else:
    beneficiaire_sexe = 'F'

beneficiaire_nom = wf.get('supp3_var_nombeneficiaire') or fields['nombeneficiaire']
beneficiaire_nom = beneficiaire_nom.strip().upper()

beneficiaire_nomnaissance = wf.get('supp3_var_nomdenaissance') or fields['nomdenaissance'] or ''
beneficiaire_nomnaissance = beneficiaire_nomnaissance.strip().upper()
if beneficiaire_nomnaissance == '':
    beneficiaire_nomnaissance = None

beneficiaire_prenom = wf.get('supp3_var_prenombeneficiaire') or fields['prenombeneficiaire']
beneficiaire_prenom = beneficiaire_prenom.strip().upper()

beneficiaire_dn = wf.get('supp3_var_dnnbeneficiaire') or fields['dnnbeneficiaire']
beneficiaire_dn = beneficiaire_dn[0:10]

beneficiaire_ln = wf.get('supp3_var_lieunbeneficiaire') or fields['lieunbeneficiaire']
beneficiaire_ln = beneficiaire_ln.strip().upper()

beneficiaire_nationalite = wf.get('supp3_var_nationalitebeneficiaire') or fields['nationalitebeneficiaire']
beneficiaire_nationalite = beneficiaire_nationalite.strip().upper()
if 'NATIONAL' in beneficiaire_nationalite:
    beneficiaire_nationalite = 1
elif 'RESSORTISSANT' in beneficiaire_nationalite:
    beneficiaire_nationalite = 2
else:
    beneficiaire_nationalite = 3

beneficiaire_situation = wf.get('supp3_var_situationfamillebeneficiaire') or fields['situationfamillebeneficiaire']
beneficiaire_situation = beneficiaire_situation.strip().upper()
if 'MARI' in beneficiaire_situation:
    beneficiaire_situation = 2
elif 'DIVOR' in beneficiaire_situation:
    beneficiaire_situation = 5
elif 'VEUF' in beneficiaire_situation:
    beneficiaire_situation = 3
elif 'CONCUB' in beneficiaire_situation:
    beneficiaire_situation = 7
elif 'PACS' in beneficiaire_situation:
    beneficiaire_situation = 8
else:
    beneficiaire_situation = 1  # celibataire

beneficiaire_tel = wf.get('supp3_var_telbeneficiaire') or fields['telbeneficiaire']
beneficiaire_email = wf.get('supp3_var_courrielbeneficiaire') or fields['courrielbeneficiaire']

beneficiaire_code_commune_raw = wf.get('adresse_var_code_commune_raw') or fields.get('papier_code_commune_raw')
beneficiaire_code_commune = beneficiaire_code_commune_raw.split('-')[2]
beneficiaire_code_departement = beneficiaire_code_commune_raw.split('-')[1]
beneficiaire_numero_lieu = wf.get('adresse_var_num_lieu') or fields.get('papier_num_lieu')
beneficiaire_code_lieu = wf.get('adresse_var_code_lieu_raw') or fields.get('papier_code_lieu_raw')

beneficiaire_retraite = wf.get('supp3_var_retraitebeneficiaire') or fields['retraitebeneficiaire']
beneficiaire_retraite = beneficiaire_retraite.strip().upper()
beneficiaire_retraite = 'OUI' in beneficiaire_retraite

if beneficiaire_retraite:
    info = wf.get('supp3_var_regretraitebeneficiaire_raw') or wf.get('retraite_var_listeretraite_raw') or fields.get('papier_listeretraite_raw')
    beneficiaire_retraite_code = info.split('-')[1]

#
# CONJOINT
#

# conjoint_id : nouvelle personne ou déjà existante, selon le système de
# rapprochement dans le workflow
conjoint_id = None
if not wf.get('homonymie_conjoint_var_homonyme_new_user'):
    conjoint_id = wf.get('homonymie_conjoint_var_homonyme_force_id')
    if not conjoint_id:
        conjoint_id = wf.get('homonymie_conjoint_var_homonyme_id_raw')

conjoint_civilite = wf.get('supp5_var_civiliteconjoint') or fields['civiliteconjoint'] or ''
conjoint_civilite = conjoint_civilite.strip().upper()
if 'MONSIEUR' in conjoint_civilite:
    conjoint_sexe = 'H'
else:
    conjoint_sexe = 'F'

conjoint_nom = wf.get('supp5_var_nomconjoint') or fields['nomconjoint'] or ''
conjoint_nom = conjoint_nom.strip().upper()
if conjoint_nom == '':
    conjoint_nom = None

conjoint_nomnaissance = wf.get('supp5_var_nomnaissanceconjoint') or fields['nomnaissanceconjoint'] or ''
conjoint_nomnaissance = conjoint_nomnaissance.strip().upper()
if conjoint_nomnaissance == '':
    conjoint_nomnaissance = None

conjoint_prenom = wf.get('supp5_var_prenomconjoint') or fields['prenomconjoint'] or ''
conjoint_prenom = conjoint_prenom.strip().upper()

conjoint_dn = wf.get('supp5_var_dnnconjoint') or fields['dnnconjoint'] or ''
conjoint_dn = conjoint_dn[0:10]

conjoint_participation = wf.get('supp5_var_participationconjoint') or fields['participationconjoint'] or 'NON'
conjoint_participation = conjoint_participation.strip().upper()
if 'OUI' in conjoint_participation:
    conjoint_participation = 'true'
else:
    conjoint_participation = 'false'

#
# PROTECTION
#

protection_type = wf.get('supp2_var_typeprotectionorga') or fields['typeprotectionorga'] or fields['typeprotectionpers']
if protection_type:
    protection_type = protection_type.strip().upper()
    if 'TUTELLE' in protection_type:
        protection_type = 4
    elif 'CURATELLE' in protection_type:
        protection_type = 3
    elif 'SAUVEGARDE' in protection_type:
        protection_type = 5
    else:
        protection_type = None
else:
    protection_type = None

protection_organisme = wf.get('tutelle_var_organisme_raw') or wf.get('supp2_var_organisme_raw') or fields.get('papier_organisme_raw')
if protection_organisme:
    protection_organisme = protection_organisme.split('-')[1]
else:
    protection_organisme = None


#
# REVENUS
#

salaire = wf.get('supp6_var_revenuSalaire') or fields.get('revenuSalaire')
try:
    salaire = float(salaire)
except:
    salaire = 0.0
retraite = wf.get('supp6_var_revenuRetraite') or fields.get('revenuRetraite')
try:
    retraite = float(retraite)
except:
    retraite = 0.0
revenus = salaire + retraite
revenus_annee = wf.get('supp6_var_anneerefrevenu') or fields.get('anneerefrevenu')

if conjoint_participation == 'true':
    salaire = wf.get('supp6_var_revenuSalaireConjoint') or fields.get('revenuSalaireConjoint')
    try:
        salaire = float(salaire)
    except:
        salaire = 0.0
    retraite = wf.get('supp6_var_revenuRetraiteConjoint') or fields.get('revenuRetraiteConjoint')
    try:
        retraite = float(retraite)
    except:
        retraite = 0.0
    revenus = revenus + salaire + retraite

#
# BANQUE
#

banque_titulaire = wf.get('supp8_var_titulairecompte') or fields.get('titulairecompte')
banque_domiciliation = wf.get('supp8_var_domicilebanque') or fields.get('domicilebanque')
banque_codebanque = wf.get('supp8_var_codebanque') or fields.get('codebanque')
banque_codeguichet = wf.get('supp8_var_codeguichet') or fields.get('codeguichet')
banque_numero = wf.get('supp8_var_numcompte') or fields.get('numcompte')
banque_cle = wf.get('supp8_var_clerib') or fields.get('clerib')

#
# ETABLISSEMENT
#

etablissement = wf.get('etablissement_var_nometablissement_raw') or fields.get('papier_nometablissement_raw')
if etablissement:
    etablissement = etablissement.split('-')[1]
    etablissement_date_entree = fields.get('date_etablissement') or ''
    etablissement_date_entree = etablissement_date_entree[0:10]
else:
    etablissement = None
    etablissement_date_entree = None

#
# PATRIMOINES
#

try:
    immobilier_bati = float(wf.get('supp7_var_bienbatis') or fields.get('bienbatis'))
except:
    immobilier_bati = 0.0

try:
    immobilier_non_bati = float(wf.get('supp7_var_biennonbatis') or fields.get('biennonbatis'))
except:
    immobilier_non_bati = 0.0

try:
    prelevements = float(wf.get('supp6_var_revenuPrelevement') or fields.get('revenuPrelevement'))
except:
    prelevements = 0.0
try:
    prelevements = prelevements + float(wf.get('supp6_var_revenuPrelevementConjoint') or fields.get('revenuPrelevementConjoint'))
except:
    pass

try:
    fonciers = float(wf.get('supp6_var_revenuFoncier') or fields.get('revenuFoncier'))
except:
    fonciers = 0.0
try:
    fonciers = fonciers + float(wf.get('supp6_var_revenuFoncierConjoint') or fields.get('revenuFoncierConjoint', 0.0))
except:
    pass
fonciers_annee = wf.get('supp7_var_anneefoncier') or fields.get('anneefoncier')

#
# Autres
#

try:
    aide_ccas = (fields.get('aide_ccas') or '').strip().upper().startswith('OUI')
except:
    aide_ccas = True

%>
##
## SORTIE JSON
##

{ "ImportInputWSDemandeApa": {

    % if demandeur_profil in ('PERSONNE', 'PROCHE'):
    "Demandeur": {
        % if demandeur_id is not None:
        "indexParticulier": ${demander_id},
        % endif
        % if protection_type is not None and protection_organisme is None:
        "typeProtection": ${protection_type},
        % endif
        "nom": "${demandeur_nom}",
        "prenom": "${demandeur_prenom}",
        "sexe": "${demandeur_sexe}",
        "Adresse": {
            "codeDepartement": 14,
            "codeCommune": 990,
            "codeLieu": "9999"
        },
        "Contact": {
            % if demandeur_tel:
            "telephone": "${demandeur_tel}",
            % endif
            "email": "${demandeur_email}"
        }
    },
    % endif

    % if protection_organisme is not None:
    "MesureProtection": {
        "indexOrganismeTutelle": ${protection_organisme},
        "codeTypeProtection": ${protection_type}
    },
    % endif

    "Beneficiaire": {
        % if beneficiaire_id is not None:
        "indexIndividu": ${beneficiaire_id},
        % endif
        "nom": "${beneficiaire_nom}",
        "prenom": "${beneficiaire_prenom}",
        % if beneficiaire_nomnaissance:
        "nomJeuneFille": "${beneficiaire_nomnaissance}",
        % endif
        "sexe": "${beneficiaire_sexe}",
        "dateNaissance": "${beneficiaire_dn}",
        % if beneficiaire_ln:
        "lieuNaissance": "${beneficiaire_ln}",
        % endif
        "nationalite": ${beneficiaire_nationalite},
        "situationFamiliale": ${beneficiaire_situation},
        % if beneficiare_tel or beneficiaire_email:
        "Contact": {
            % if beneficiaire_tel:
            "telephone": "${beneficiaire_tel}"\
            % if beneficiaire_email:
            ,
            % endif
            % endif
            % if beneficiaire_email:
            "email": "${beneficiaire_email}"
            % endif
        },
        % endif
        % if etablissement is not None:
        "indexEtablissementAccueil": ${etablissement},
        "dateInstallBeneficiaire": "${etablissement_date_entree}",
        % endif
        % if beneficiaire_retraite:
        "Retraite": {
            "codeOrganismeRetraite": ${beneficiaire_retraite_code},
            "periodicite": 4,
            "Nomenclature": {
                "indexFamille": 7,
                "indexNature": 2
            }
        },
        % endif
        "Adresse": {
            "codeCommune": ${beneficiaire_code_commune},
            "codeDepartement": ${beneficiaire_code_departement},
            % if beneficiaire_numero_lieu:
            "numeroLieu": "${beneficiaire_numero_lieu}",
            % endif
            "codeLieu": "${beneficiaire_code_lieu}"
        }
    },

    % if conjoint_nom:
    "Conjoint": {
        % if conjoint_id is not None:
        "indexIndividu": ${conjoint_id},
        % endif
        "nom": "${conjoint_nom}",
        "prenom": "${conjoint_prenom}",
        % if conjoint_nomnaissance:
        "nomJeuneFille": "${conjoint_nomnaissance}",
        % endif
        "dateNaissance": "${conjoint_dn}",
        "sexe": "${conjoint_sexe}",
        "bParticipeRevenus": ${conjoint_participation},
        "situationFamiliale": ${beneficiaire_situation}
    },
    %endif

    % if revenus_annee:
    "RevenusImposition": {
        "anneeReference": ${revenus_annee},
        "revenuReference": ${revenus}
    },
    % endif

    "InformationsBancaires": {
        "titulaireCompte": "${banque_titulaire}",
        "domiciliation": "${banque_domiciliation}",
        "codeBanque": "${banque_codebanque}",
        "codeGuichet": "${banque_codeguichet}",
        "numeroCompte": "${banque_numero}",
        "cleRib": "${banque_cle}",
        "modeReglement": 1
    },

    "Patrimoine": [
        {
            "Nomenclature": {
                "indexFamille": 2,
                "indexNature": 1
            },
            "anneeReference": ${revenus_annee},
            "valeurPrelevement": ${immobilier_bati}
        },
        {
            "Nomenclature": {
                "indexFamille": 2,
                "indexNature": 2
            },
            "anneeReference": ${revenus_annee},
            "valeurPrelevement": ${immobilier_non_bati}
        },
        {
            "Nomenclature": {
                "indexFamille": 3,
                "indexNature": 1
            },
            "anneeReference": ${revenus_annee},
            "valeurPrelevement": ${prelevements}
        }
        % if fonciers > 0 and fonciers_annee is not None:
        ,
        {
            "Nomenclature": {
                "indexFamille": 4,
                "indexNature": 1
            },
            "anneeReference": ${fonciers_annee},
            "valeurPrelevement": ${fonciers}
        }
        % endif
    ],

    "DemandeApa": {
        "statutDemande": ${statut_demande},
        "dateDepot": "${data['receipt_time'][0:10]}",
        "dateArrivee": "${data['receipt_time'][0:10]}",
        "dateCompletude": "${date_completude}",
        "Nomenclature": {
        % if etablissement is not None:
            "codeNature": 1,
            "codeType": 68
        % else:
            "codeNature": 2,
            "codeType": 70
        % endif
        },
        % if aide_ccas:
        "codeLieuDepot": 8
        % else:
        "codeLieuDepot": 7
        % endif
    }

}}
