import solis
import config

from pprint import pprint
import urllib2
from datetime import datetime
import json
import sys

def test_export_flow():
    TEST = {
            'ExportSuiviVisite': {},
            'ExportSuiviPlanAide': {"DemandeAsg":{"DateDebut":"2001-01-01","DateFin":"2013-12-31"}},
            'ExportSuiviPresentationCommission': {"OrdreJourAsg":{"DateDebut":"2001-01-01","DateFin":"2013-12-31"}},
            'ExportSuiviDecisionCommission': {"OrdreJourAsg":{"DateDebut":"2001-01-01","DateFin":"2013-12-31"}},
    }
    for flow, req in TEST.items():
        print "test:", flow, "- input:", req
        code, data = solis.export_flow(flow, req)
        print "code:", code
        pprint(data, indent=4)

def test_conciliation():
    result = solis.conciliation(config.CONCILIATION_ADRESSE, lieu="DU BEAU SITE", departement="14", commune="118" )
    pprint(result)
    result = solis.conciliation(config.CONCILIATION_INDIVIDU_SANS_DN, nom="DUPONT", prenom="JEAN")
    pprint(result)
    result = solis.conciliation(config.CONCILIATION_INDIVIDU, nom="DUPONT", prenom="JEAN", dn="1944-01-01")
    pprint(result)

def test_referential():
    villes14 = solis.referential('commune', attributes=['cp_lieu',], code_dep=14)
    pprint(villes14)
    retraite = solis.referential('caisse%20de%20retraite')
    pprint(retraite)
    tutelle = solis.referential('organisme%20de%20tutelle')
    pprint(tutelle)

DEMANDE_APA = {'Beneficiaire': {   'Adresse': {   'codeCommune': 2,
                                                          'codeDepartement': 14,
                                                          'codeLieu': '0093',
                                                          'numeroLieu': '123'},
                                           'Contact': {   'email': 'jacqueline.dupond@mail.fr',
                                                          'telephone': '0231919293'},
                                           'Retraite': {   'codeOrganismeRetraite': 1,
                                                           'periodicite': 1},
                                           'dateInstallBeneficiaire': '2013-02-13',
                                           'dateNaissance': '1937-08-13',
                                           'indexEtablissementAccueil': 209,
                                           #'indexIndividu': 1,
                                           'lieuNaissance': 'Paris',
                                           'nationalite': 1,
                                           'nom': 'DUPOND',
                                           'nomJeuneFille': 'DURAND',
                                           'prenom': 'JACQUELINE',
                                           'situationFamiliale': 1},
               'BiensImmobiliers': {   'Nomenclature': {   'indexFamille': 2,
                                                           'indexNature': 1},
                                       'anneeReference': 2012,
                                       'valeurPatrimoine': 6456.84},
               'Capitaux': {   'Nomenclature': {   'indexFamille': 2,
                                                   'indexNature': 3},
                               'anneeReference': 2012,
                               'valeurCapitaux': 0},
               'Conjoint': {   'bParticipeRevenus': True,
                               'dateNaissance': '1937-01-13',
                               #'indexIndividu': 123458,
                               'nom': 'DUPOND',
                               'nomJeuneFille': '',
                               'prenom': 'PIERRE'},
               'DemandeApa': {   'Nomenclature': {   'codeNature': 2,
                                                     'codeType': 12},
                                 'codeLieuDepot': 1,
                                 'dateArrivee': '2013-02-26',
                                 'dateCompletude': '2013-02-27',
                                 'dateDepot': '2013-02-25',
                                 'statutDemande': 1},
               'Demandeur': {   'Adresse': {   'codeCommune': 5,
                                               'codeDepartement': 14,
                                               'codeLieu': '5',
                                               'numeroLieu': '12BIS'},
                                'Contact': {   'email': 'jean.dupond@mail.fr',
                                               'telephone': '0231010203'},
                                'indexParticulier': 123456,
                                'nom': 'DUPOND',
                                'prenom': 'JEAN',
                                'typeProtection': 3},
               'InformationsBancaires': {   'cleRib': 12,
                                            'codeBanque': 12345,
                                            'codeGuichet': 123,
                                            'domiciliation': 'BANQUE DE FRANCE',
                                            'numeroCompte': '123456789',
                                            'titulaireCompte': 'Jacqueline DUPOND'},
               'Logement': {   'codeStatutLogement': 1},
               'MesureProtection': {   'codeTypeProtection': 2,
                                       'indexOrganismeTutelle': 123456},
               'Patrimoine': {   'Nomenclature': {   'indexFamille': 3,
                                                     'indexNature': 1},
                                 'anneeReference': 2012,
                                 'valeurPrelevement': 2115.98},
               'RevenusImposition': {   'anneeReference': 2012,
                                        'revenuReference': 30152.23}
               }

today = datetime.today().strftime('%Y-%m-%d')
DEMANDE_APA_MINIMALE = {
        'Beneficiaire': {
            'nom': '',
            'prenom': '',
            'dateNaissance': 'YYYY-MM-DD',
            'sexe': 'H',
            'Adresse': {
                'codeDepartement': 14,
                'codeCommune': 2,
                'codeLieu': '0093',
                },
            },
        'Conjoint': {
           'dateNaissance': '1937-01-13',
           'nom': 'TEST',
           'nomJeuneFille': '',
           'prenom': 'TESTEUSE'
            },
        'RevenusImposition': {
            'anneeReference': 2012,
            'revenuReference': 12345.00,
            },
        'DemandeApa': {
            'Nomenclature': {
                'codeType': 12,
                'codeNature': 2,
                },
            'statutDemande': 1,
            'dateDepot': today,
            'codeLieuDepot': 1,
            'dateArrivee': today,
            }
        }

def test_import_flow():
    dem = {'ImportInputWSDemandeApa':DEMANDE_APA_MINIMALE}
    print json.dumps(dem, indent=4)
    try:
        code, data = solis.import_flow('ImportIntegrationDemande', dem)
        pprint(json.loads(data))
    except urllib2.HTTPError as e:
        print 'erreur', e.code
        print e.read()

if __name__ == '__main__':
    for t in sys.argv[1:]:
        print 'test',t
        eval('test_%s' % t)()

# integration POC
def integration_minimale(nom, prenom, dn):
    dem = DEMANDE_APA_MINIMALE
    dem['Beneficiaire']['nom'] = nom
    dem['Beneficiaire']['prenom'] = prenom
    dem['Beneficiaire']['dateNaissance'] = dn
    dem = {'ImportInputWSDemandeApa':DEMANDE_APA_MINIMALE}
    return solis.import_flow('ImportIntegrationDemande', dem)

