from django import template
from django.contrib.contenttypes.models import ContentType

from ..models import AccessRight

register = template.Library()

@register.inclusion_tag('passerelle/includes/access-rights-table.html', takes_context=True)
def access_rights_table(context, resource, permission):
    resource_type = ContentType.objects.get_for_model(resource)
    rights = AccessRight.objects.filter(resource_type=resource_type,
            resource_pk=resource.id, codename=permission)
    context['permission'] = permission
    context['access_rights_list'] = rights
    context['resource_type'] = resource_type.id
    context['resource_pk'] = resource.id
    return context
