# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'BaseQueue'
        db.create_table(u'queue_basequeue', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=50)),
            ('description', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal(u'queue', ['BaseQueue'])

        # Adding M2M table for field users on 'BaseQueue'
        m2m_table_name = db.shorten_name(u'queue_basequeue_users')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('basequeue', models.ForeignKey(orm[u'queue.basequeue'], null=False)),
            ('apiuser', models.ForeignKey(orm[u'base.apiuser'], null=False))
        ))
        db.create_unique(m2m_table_name, ['basequeue_id', 'apiuser_id'])

        # Adding model 'JSONOutputQueue'
        db.create_table(u'queue_jsonoutputqueue', (
            (u'basequeue_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['queue.BaseQueue'], unique=True, primary_key=True)),
            ('directory', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('tmp_directory', self.gf('django.db.models.fields.CharField')(default='/var/tmp', max_length=200)),
        ))
        db.send_create_signal(u'queue', ['JSONOutputQueue'])

        # Adding model 'MakoPrototypeOutputQueue'
        db.create_table(u'queue_makoprototypeoutputqueue', (
            (u'basequeue_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['queue.BaseQueue'], unique=True, primary_key=True)),
            ('directory', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('tmp_directory', self.gf('django.db.models.fields.CharField')(default='/var/tmp', max_length=200)),
            ('template', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal(u'queue', ['MakoPrototypeOutputQueue'])

        # Adding model 'MakoOutputQueue'
        db.create_table(u'queue_makooutputqueue', (
            (u'basequeue_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['queue.BaseQueue'], unique=True, primary_key=True)),
            ('directory', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('tmp_directory', self.gf('django.db.models.fields.CharField')(default='/var/tmp', max_length=200)),
        ))
        db.send_create_signal(u'queue', ['MakoOutputQueue'])


    def backwards(self, orm):
        # Deleting model 'BaseQueue'
        db.delete_table(u'queue_basequeue')

        # Removing M2M table for field users on 'BaseQueue'
        db.delete_table(db.shorten_name(u'queue_basequeue_users'))

        # Deleting model 'JSONOutputQueue'
        db.delete_table(u'queue_jsonoutputqueue')

        # Deleting model 'MakoPrototypeOutputQueue'
        db.delete_table(u'queue_makoprototypeoutputqueue')

        # Deleting model 'MakoOutputQueue'
        db.delete_table(u'queue_makooutputqueue')


    models = {
        u'base.apiuser': {
            'Meta': {'object_name': 'ApiUser'},
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'keytype': ('django.db.models.fields.CharField', [], {'max_length': '4'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'queue.basequeue': {
            'Meta': {'object_name': 'BaseQueue'},
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'users': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['base.ApiUser']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'queue.jsonoutputqueue': {
            'Meta': {'object_name': 'JSONOutputQueue'},
            u'basequeue_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['queue.BaseQueue']", 'unique': 'True', 'primary_key': 'True'}),
            'directory': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'tmp_directory': ('django.db.models.fields.CharField', [], {'default': "'/var/tmp'", 'max_length': '200'})
        },
        u'queue.makooutputqueue': {
            'Meta': {'object_name': 'MakoOutputQueue'},
            u'basequeue_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['queue.BaseQueue']", 'unique': 'True', 'primary_key': 'True'}),
            'directory': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'tmp_directory': ('django.db.models.fields.CharField', [], {'default': "'/var/tmp'", 'max_length': '200'})
        },
        u'queue.makoprototypeoutputqueue': {
            'Meta': {'object_name': 'MakoPrototypeOutputQueue'},
            u'basequeue_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['queue.BaseQueue']", 'unique': 'True', 'primary_key': 'True'}),
            'directory': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'template': ('django.db.models.fields.TextField', [], {}),
            'tmp_directory': ('django.db.models.fields.CharField', [], {'default': "'/var/tmp'", 'max_length': '200'})
        }
    }

    complete_apps = ['queue']