from django.views.decorators.csrf import csrf_exempt
from django.conf.urls import patterns, url
from django.contrib.auth.decorators import login_required
from views import *

urlpatterns = patterns('',
    url(r'^(?P<slug>[\w,-]+)/$', ConcertoDetailView.as_view(), name='concerto-view'),

    url(r'^(?P<slug>[\w,-]+)/familylink/(?P<family_id>\w+)/(?P<secret>.+)$',
        FamilyLink.as_view(), name='concerto-familylink'),
    url(r'^(?P<slug>[\w,-]+)/familydata/(?P<nameid>.+)$',
        FamilyData.as_view(), name='concerto-familydata'),
    url(r'^(?P<slug>[\w,-]+)/linktofamily/(?P<nameid>.+)/(?P<family_id>\d+)$',
        LinkToFamily.as_view(), name='concerto-linktofamily'),
    url(r'^(?P<slug>[\w,-]+)/unlinkfromfamily/(?P<nameid>.+)$',
        UnlinkFromFamily.as_view(), name='concerto-unlinkfromfamily'),
    url(r'^(?P<slug>[\w,-]+)/famildata/(?P<nameid>.+)$',
        FamilyData.as_view(), name='concerto-familydata'),
    url(r'^(?P<slug>[\w,-]+)/familyallinvoices/(?P<nameid>.+)$',
        FamilyInvoices.as_view(), name='concerto-familyallinvoices'),
    url(r'^(?P<slug>[\w,-]+)/invoice/(?P<invoice_id>\w+)/(?P<invoice_hash>\w+)$',
        InvoiceView.as_view(), name='concerto-invoiceview'),
)


management_urlpatterns = patterns('',
    url(r'^add$', ConcertoCreateView.as_view(), name='concerto-add'),
    url(r'^(?P<slug>[\w,-]+)/edit$', ConcertoUpdateView.as_view(), name='concerto-edit'),
    url(r'^(?P<slug>[\w,-]+)/delete$', ConcertoDeleteView.as_view(), name='concerto-delete'),
)
