from django.utils.text import slugify
from django import forms

from .models import Gdc

class GdcForm(forms.ModelForm):
    class Meta:
        model = Gdc
        exclude = ('slug', 'users')

    def save(self, commit=True):
        if not self.instance.slug:
            self.instance.slug = slugify(self.instance.title)
        return super(GdcForm, self).save(commit=commit)

