# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'MobytSMSGateway'
        db.create_table('sms_mobyt', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=50)),
            ('description', self.gf('django.db.models.fields.TextField')()),
            ('username', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('password', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('quality', self.gf('django.db.models.fields.CharField')(default='l', max_length=4)),
            ('default_country_code', self.gf('django.db.models.fields.CharField')(default=u'33', max_length=3)),
        ))
        db.send_create_signal(u'mobyt', ['MobytSMSGateway'])

        # Adding M2M table for field users on 'MobytSMSGateway'
        m2m_table_name = db.shorten_name('sms_mobyt_users')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('mobytsmsgateway', models.ForeignKey(orm[u'mobyt.mobytsmsgateway'], null=False)),
            ('apiuser', models.ForeignKey(orm[u'base.apiuser'], null=False))
        ))
        db.create_unique(m2m_table_name, ['mobytsmsgateway_id', 'apiuser_id'])


    def backwards(self, orm):
        # Deleting model 'MobytSMSGateway'
        db.delete_table('sms_mobyt')

        # Removing M2M table for field users on 'MobytSMSGateway'
        db.delete_table(db.shorten_name('sms_mobyt_users'))


    models = {
        u'base.apiuser': {
            'Meta': {'object_name': 'ApiUser'},
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ipsource': ('django.db.models.fields.GenericIPAddressField', [], {'max_length': '39', 'null': 'True', 'blank': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '256', 'blank': 'True'}),
            'keytype': ('django.db.models.fields.CharField', [], {'max_length': '4', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'mobyt.mobytsmsgateway': {
            'Meta': {'object_name': 'MobytSMSGateway', 'db_table': "'sms_mobyt'"},
            'default_country_code': ('django.db.models.fields.CharField', [], {'default': "u'33'", 'max_length': '3'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'quality': ('django.db.models.fields.CharField', [], {'default': "'l'", 'max_length': '4'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'users': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['base.ApiUser']", 'symmetrical': 'False', 'blank': 'True'})
        }
    }

    complete_apps = ['mobyt']