from django.utils.text import slugify
from django import forms

from .models import OVHSMSGateway

class OVHSMSGatewayForm(forms.ModelForm):
    class Meta:
        model = OVHSMSGateway
        exclude = ('slug', 'users')

    def save(self, commit=True):
        if not self.instance.slug:
            self.instance.slug = slugify(self.instance.title)
        return super(OVHSMSGatewayForm, self).save(commit=commit)
