# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'OVHSMSGateway'
        db.create_table('sms_ovh', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=50)),
            ('description', self.gf('django.db.models.fields.TextField')()),
            ('account', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('username', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('password', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('msg_class', self.gf('django.db.models.fields.IntegerField')(default=1)),
            ('credit_threshold_alert', self.gf('django.db.models.fields.PositiveIntegerField')(default=100)),
            ('default_country_code', self.gf('django.db.models.fields.CharField')(default=u'33', max_length=3)),
            ('credit_left', self.gf('django.db.models.fields.PositiveIntegerField')(default=0)),
        ))
        db.send_create_signal(u'ovh', ['OVHSMSGateway'])

        # Adding M2M table for field users on 'OVHSMSGateway'
        m2m_table_name = db.shorten_name('sms_ovh_users')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('ovhsmsgateway', models.ForeignKey(orm[u'ovh.ovhsmsgateway'], null=False)),
            ('apiuser', models.ForeignKey(orm[u'base.apiuser'], null=False))
        ))
        db.create_unique(m2m_table_name, ['ovhsmsgateway_id', 'apiuser_id'])


    def backwards(self, orm):
        # Deleting model 'OVHSMSGateway'
        db.delete_table('sms_ovh')

        # Removing M2M table for field users on 'OVHSMSGateway'
        db.delete_table(db.shorten_name('sms_ovh_users'))


    models = {
        u'base.apiuser': {
            'Meta': {'object_name': 'ApiUser'},
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ipsource': ('django.db.models.fields.GenericIPAddressField', [], {'max_length': '39', 'null': 'True', 'blank': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '256', 'blank': 'True'}),
            'keytype': ('django.db.models.fields.CharField', [], {'max_length': '4', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'ovh.ovhsmsgateway': {
            'Meta': {'object_name': 'OVHSMSGateway', 'db_table': "'sms_ovh'"},
            'account': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'credit_left': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
            'credit_threshold_alert': ('django.db.models.fields.PositiveIntegerField', [], {'default': '100'}),
            'default_country_code': ('django.db.models.fields.CharField', [], {'default': "u'33'", 'max_length': '3'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'msg_class': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'users': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['base.ApiUser']", 'symmetrical': 'False', 'blank': 'True'})
        }
    }

    complete_apps = ['ovh']