# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding M2M table for field users on 'BaseDataSource'
        m2m_table_name = db.shorten_name(u'datasources_basedatasource_users')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('basedatasource', models.ForeignKey(orm[u'datasources.basedatasource'], null=False)),
            ('apiuser', models.ForeignKey(orm[u'base.apiuser'], null=False))
        ))
        db.create_unique(m2m_table_name, ['basedatasource_id', 'apiuser_id'])


    def backwards(self, orm):
        # Removing M2M table for field users on 'BaseDataSource'
        db.delete_table(db.shorten_name(u'datasources_basedatasource_users'))


    models = {
        u'base.apiuser': {
            'Meta': {'object_name': 'ApiUser'},
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'keytype': ('django.db.models.fields.CharField', [], {'max_length': '4'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'datasources.basedatasource': {
            'Meta': {'object_name': 'BaseDataSource'},
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'users': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['base.ApiUser']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'datasources.csvdatasource': {
            'Meta': {'object_name': 'CsvDataSource', '_ormbases': [u'datasources.BaseDataSource']},
            u'basedatasource_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['datasources.BaseDataSource']", 'unique': 'True', 'primary_key': 'True'}),
            'csv_file': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            'key_column': ('django.db.models.fields.IntegerField', [], {}),
            'value_columns': ('django.db.models.fields.CommaSeparatedIntegerField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['datasources']